OpenShot Audio Library | OpenShotAudio: juce::IIRCoefficients Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
juce::IIRCoefficients Class Reference

`#include <juce_IIRFilter.h>`

## Public Member Functions
| IIRCoefficients () noexcept
| IIRCoefficients (double c1, double c2, double c3, double c4, double c5, double c6) noexcept
| IIRCoefficients (const IIRCoefficients &) noexcept
IIRCoefficients & | operator= (const IIRCoefficients &) noexcept
| ~IIRCoefficients () noexcept

## Static Public Member Functions
static IIRCoefficients | makeLowPass (double sampleRate, double frequency) noexcept
static IIRCoefficients | makeLowPass (double sampleRate, double frequency, double Q) noexcept
static IIRCoefficients | makeHighPass (double sampleRate, double frequency) noexcept
static IIRCoefficients | makeHighPass (double sampleRate, double frequency, double Q) noexcept
static IIRCoefficients | makeBandPass (double sampleRate, double frequency) noexcept
static IIRCoefficients | makeBandPass (double sampleRate, double frequency, double Q) noexcept
static IIRCoefficients | makeNotchFilter (double sampleRate, double frequency) noexcept
static IIRCoefficients | makeNotchFilter (double sampleRate, double frequency, double Q) noexcept
static IIRCoefficients | makeAllPass (double sampleRate, double frequency) noexcept
static IIRCoefficients | makeAllPass (double sampleRate, double frequency, double Q) noexcept
static IIRCoefficients | makeLowShelf (double sampleRate, double cutOffFrequency, double Q, float gainFactor) noexcept
static IIRCoefficients | makeHighShelf (double sampleRate, double cutOffFrequency, double Q, float gainFactor) noexcept
static IIRCoefficients | makePeakFilter (double sampleRate, double centreFrequency, double Q, float gainFactor) noexcept

## Public Attributes
float | coefficients [5]

## Detailed Description

A set of coefficients for use in an IIRFilter object.

See also
  IIRFilter

Definition at line 36 of file juce_audio_basics/utilities/juce_IIRFilter.h.

## Constructor & Destructor Documentation

## ◆ IIRCoefficients() [1/3]

juce::IIRCoefficients::IIRCoefficients | ( |  | ) |
| noexcept

Creates a null set of coefficients (which will produce silence).

Definition at line 26 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ IIRCoefficients() [2/3]

juce::IIRCoefficients::IIRCoefficients | ( | double | c1,
|  | double | c2,
|  | double | c3,
|  | double | c4,
|  | double | c5,
|  | double | c6
| ) |  |
| noexcept

Directly constructs an object from the raw coefficients. Most people will want to use the static methods instead of this, but the constructor is public to allow tinkerers to create their own custom filters!

Definition at line 44 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ IIRCoefficients() [3/3]

juce::IIRCoefficients::IIRCoefficients | ( | const IIRCoefficients & | other | ) |
| noexcept

Creates a copy of another filter.

Definition at line 33 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ ~IIRCoefficients()

juce::IIRCoefficients::~IIRCoefficients | ( |  | ) |
| noexcept

Destructor.

Definition at line 31 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## Member Function Documentation

## ◆ makeAllPass() [1/2]

IIRCoefficients juce::IIRCoefficients::makeAllPass | ( | double | sampleRate,
|  | double | frequency
| ) |  |
| staticnoexcept

Returns the coefficients for an all-pass filter.

Definition at line 160 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makeAllPass() [2/2]

IIRCoefficients juce::IIRCoefficients::makeAllPass | ( | double | sampleRate,
|  | double | frequency,
|  | double | Q
| ) |  |
| staticnoexcept

Returns the coefficients for an all-pass filter with variable Q.

Definition at line 166 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makeBandPass() [1/2]

IIRCoefficients juce::IIRCoefficients::makeBandPass | ( | double | sampleRate,
|  | double | frequency
| ) |  |
| staticnoexcept

Returns the coefficients for a band-pass filter.

Definition at line 108 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makeBandPass() [2/2]

IIRCoefficients juce::IIRCoefficients::makeBandPass | ( | double | sampleRate,
|  | double | frequency,
|  | double | Q
| ) |  |
| staticnoexcept

Returns the coefficients for a band-pass filter with variable Q.

Definition at line 114 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makeHighPass() [1/2]

IIRCoefficients juce::IIRCoefficients::makeHighPass | ( | double | sampleRate,
|  | double | frequency
| ) |  |
| staticnoexcept

Returns the coefficients for a high-pass filter.

Definition at line 82 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makeHighPass() [2/2]

IIRCoefficients juce::IIRCoefficients::makeHighPass | ( | double | sampleRate,
|  | double | frequency,
|  | double | Q
| ) |  |
| staticnoexcept

Returns the coefficients for a high-pass filter with variable Q.

Definition at line 88 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makeHighShelf()

IIRCoefficients juce::IIRCoefficients::makeHighShelf | ( | double | sampleRate,
|  | double | cutOffFrequency,
|  | double | Q,
|  | float | gainFactor
| ) |  |
| staticnoexcept

Returns the coefficients for a high-pass shelf filter with variable Q and gain.

The gain is a scale factor that the high frequencies are multiplied by, so values greater than 1.0 will boost the high frequencies, values less than 1.0 will attenuate them.

Definition at line 211 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makeLowPass() [1/2]

IIRCoefficients juce::IIRCoefficients::makeLowPass | ( | double | sampleRate,
|  | double | frequency
| ) |  |
| staticnoexcept

Returns the coefficients for a low-pass filter.

Definition at line 56 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makeLowPass() [2/2]

IIRCoefficients juce::IIRCoefficients::makeLowPass | ( | double | sampleRate,
|  | double | frequency,
|  | double | Q
| ) |  |
| staticnoexcept

Returns the coefficients for a low-pass filter with variable Q.

Definition at line 62 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makeLowShelf()

IIRCoefficients juce::IIRCoefficients::makeLowShelf | ( | double | sampleRate,
|  | double | cutOffFrequency,
|  | double | Q,
|  | float | gainFactor
| ) |  |
| staticnoexcept

Returns the coefficients for a low-pass shelf filter with variable Q and gain.

The gain is a scale factor that the low frequencies are multiplied by, so values greater than 1.0 will boost the low frequencies, values less than 1.0 will attenuate them.

Definition at line 186 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makeNotchFilter() [1/2]

IIRCoefficients juce::IIRCoefficients::makeNotchFilter | ( | double | sampleRate,
|  | double | frequency
| ) |  |
| staticnoexcept

Returns the coefficients for a notch filter.

Definition at line 134 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makeNotchFilter() [2/2]

IIRCoefficients juce::IIRCoefficients::makeNotchFilter | ( | double | sampleRate,
|  | double | frequency,
|  | double | Q
| ) |  |
| staticnoexcept

Returns the coefficients for a notch filter with variable Q.

Definition at line 140 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ makePeakFilter()

IIRCoefficients juce::IIRCoefficients::makePeakFilter | ( | double | sampleRate,
|  | double | centreFrequency,
|  | double | Q,
|  | float | gainFactor
| ) |  |
| staticnoexcept

Returns the coefficients for a peak filter centred around a given frequency, with a variable Q and gain.

The gain is a scale factor that the centre frequencies are multiplied by, so values greater than 1.0 will boost the centre frequencies, values less than 1.0 will attenuate them.

Definition at line 236 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## ◆ operator=()

IIRCoefficients & juce::IIRCoefficients::operator= | ( | const IIRCoefficients & | other | ) |
| noexcept

Creates a copy of another filter.

Definition at line 38 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

## Member Data Documentation

## ◆ coefficients

float juce::IIRCoefficients::coefficients[5]

The raw coefficients. You should leave these numbers alone unless you really know what you're doing.

Definition at line 144 of file juce_audio_basics/utilities/juce_IIRFilter.h.

Referenced by IIRCoefficients().

The documentation for this class was generated from the following files:

- juce_audio_basics/utilities/juce_IIRFilter.h
- juce_audio_basics/utilities/juce_IIRFilter.cpp